run: exercise_05_13
	./exercise_05_13
	
exercise_05_13: exercise_05_13.o .gitignore
	clang++ exercise_05_13.o -o exercise_05_13
	
exercise_05_13.ii: exercise_05_13.cpp
	clang++ -E exercise_05_13.cpp -o exercise_05_13.ii
	
exercise_05_13.s: exercise_05_13.ii
	clang++ -S exercise_05_13.ii -o exercise_05_13.s
	
exercise_05_13.o: exercise_05_13.s
	clang++ -c exercise_05_13.s -o exercise_05_13.o
	
.gitignore:
	echo exercise_05_13 > .gitignore
	
clean:
	rm *.ii *.o *.s .gitignore exercise_05_13

